Get account-owned job status
curl --request GET \
--url https://api.scrinly.com/status/{jobId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scrinly.com/status/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scrinly.com/status/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.scrinly.com/status/{jobId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.scrinly.com/status/{jobId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.scrinly.com/status/{jobId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.scrinly.com/status/{jobId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"progress": 50,
"result": {
"success": true,
"type": "screenshot",
"media": {
"stored": true,
"url": "<string>",
"contentType": "image/jpeg",
"key": "<string>",
"location": "<string>",
"width": 123,
"height": 123,
"bytes": 123,
"sha256": "<string>"
},
"screenshotId": "<string>",
"referenceExpiresAt": "2023-11-07T05:31:56Z",
"url": "<string>",
"design": {},
"regions": {
"version": "regions-v1",
"coordinateSpace": "screenshot_pixels",
"screenshot": {
"width": 123,
"height": 123,
"sha256": "<string>"
},
"limits": {
"maxRegionHeight": 1600,
"maxAssets": 32
},
"items": [
{
"id": "<string>",
"order": 1,
"kind": "navigation",
"label": "<string>",
"confidence": "high",
"evidenceKinds": [
"<string>"
],
"bounds": {
"x": 1,
"y": 1,
"width": 2,
"height": 2
},
"parts": [
{
"id": "<string>",
"index": 1,
"bounds": {
"x": 1,
"y": 1,
"width": 2,
"height": 2
},
"media": {
"stored": true,
"url": "<string>",
"contentType": "image/jpeg",
"key": "<string>",
"location": "<string>",
"width": 123,
"height": 123,
"bytes": 123,
"sha256": "<string>"
}
}
],
"spec": {
"summary": "<string>",
"claims": [
{
"category": "visual_role",
"basis": "observed",
"statement": "<string>"
}
],
"confidence": "high",
"evidencePartIds": [
"<string>"
]
}
}
],
"coverage": {
"ratio": 0.5,
"truncated": true,
"omittedAssets": 1,
"segmentationDegraded": true,
"safeCuts": 1,
"forcedCuts": 1
}
},
"styleGuide": {
"version": "style-guide-v1",
"summary": "<string>",
"document": "<string>",
"promptVersion": "<string>",
"schemaVersion": "style-guide-v1",
"projectionVersion": "<string>",
"visionVersion": "<string>",
"grounding": {
"status": "clean",
"unknownLiteralCount": 1,
"reason": "<string>",
"diagnostics": {}
},
"coverage": {
"ratio": 0.5,
"truncated": true,
"omittedAssets": 1,
"segmentationDegraded": true,
"safeCuts": 1,
"forcedCuts": 1
},
"source": {
"screenshotSha256": "<string>",
"regionParts": [
{
"id": "<string>",
"sha256": "<string>"
}
]
},
"provider": {
"label": "openai",
"model": "gpt-5.6-luna",
"credentialMode": "platform",
"inputMode": "overview_and_region_crops",
"dataResidency": "<string>",
"dataPolicy": {},
"settings": {},
"latencyMs": 123,
"finishReason": "<string>"
},
"usage": {
"inputTokens": 123,
"outputTokens": 123,
"totalTokens": 123,
"cacheHitTokens": 123,
"cacheMissTokens": 123,
"reasoningTokens": 123,
"providerDetails": {}
},
"cache": {
"hit": true
},
"sections": {}
},
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
},
"renderTime": 123,
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
},
"error": {
"success": false,
"error": "<string>",
"type": "<string>",
"code": "<string>",
"retryable": true,
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
},
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"type": "<string>",
"code": "<string>",
"retryable": true,
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}{
"success": false,
"error": "<string>",
"type": "<string>",
"code": "<string>",
"retryable": true,
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}Jobs
Get account-owned job status
GET
/
status
/
{jobId}
Get account-owned job status
curl --request GET \
--url https://api.scrinly.com/status/{jobId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scrinly.com/status/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scrinly.com/status/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.scrinly.com/status/{jobId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.scrinly.com/status/{jobId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.scrinly.com/status/{jobId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.scrinly.com/status/{jobId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"progress": 50,
"result": {
"success": true,
"type": "screenshot",
"media": {
"stored": true,
"url": "<string>",
"contentType": "image/jpeg",
"key": "<string>",
"location": "<string>",
"width": 123,
"height": 123,
"bytes": 123,
"sha256": "<string>"
},
"screenshotId": "<string>",
"referenceExpiresAt": "2023-11-07T05:31:56Z",
"url": "<string>",
"design": {},
"regions": {
"version": "regions-v1",
"coordinateSpace": "screenshot_pixels",
"screenshot": {
"width": 123,
"height": 123,
"sha256": "<string>"
},
"limits": {
"maxRegionHeight": 1600,
"maxAssets": 32
},
"items": [
{
"id": "<string>",
"order": 1,
"kind": "navigation",
"label": "<string>",
"confidence": "high",
"evidenceKinds": [
"<string>"
],
"bounds": {
"x": 1,
"y": 1,
"width": 2,
"height": 2
},
"parts": [
{
"id": "<string>",
"index": 1,
"bounds": {
"x": 1,
"y": 1,
"width": 2,
"height": 2
},
"media": {
"stored": true,
"url": "<string>",
"contentType": "image/jpeg",
"key": "<string>",
"location": "<string>",
"width": 123,
"height": 123,
"bytes": 123,
"sha256": "<string>"
}
}
],
"spec": {
"summary": "<string>",
"claims": [
{
"category": "visual_role",
"basis": "observed",
"statement": "<string>"
}
],
"confidence": "high",
"evidencePartIds": [
"<string>"
]
}
}
],
"coverage": {
"ratio": 0.5,
"truncated": true,
"omittedAssets": 1,
"segmentationDegraded": true,
"safeCuts": 1,
"forcedCuts": 1
}
},
"styleGuide": {
"version": "style-guide-v1",
"summary": "<string>",
"document": "<string>",
"promptVersion": "<string>",
"schemaVersion": "style-guide-v1",
"projectionVersion": "<string>",
"visionVersion": "<string>",
"grounding": {
"status": "clean",
"unknownLiteralCount": 1,
"reason": "<string>",
"diagnostics": {}
},
"coverage": {
"ratio": 0.5,
"truncated": true,
"omittedAssets": 1,
"segmentationDegraded": true,
"safeCuts": 1,
"forcedCuts": 1
},
"source": {
"screenshotSha256": "<string>",
"regionParts": [
{
"id": "<string>",
"sha256": "<string>"
}
]
},
"provider": {
"label": "openai",
"model": "gpt-5.6-luna",
"credentialMode": "platform",
"inputMode": "overview_and_region_crops",
"dataResidency": "<string>",
"dataPolicy": {},
"settings": {},
"latencyMs": 123,
"finishReason": "<string>"
},
"usage": {
"inputTokens": 123,
"outputTokens": 123,
"totalTokens": 123,
"cacheHitTokens": 123,
"cacheMissTokens": 123,
"reasoningTokens": 123,
"providerDetails": {}
},
"cache": {
"hit": true
},
"sections": {}
},
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
},
"renderTime": 123,
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
},
"error": {
"success": false,
"error": "<string>",
"type": "<string>",
"code": "<string>",
"retryable": true,
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
},
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"type": "<string>",
"code": "<string>",
"retryable": true,
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}{
"success": false,
"error": "<string>",
"type": "<string>",
"code": "<string>",
"retryable": true,
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Job status
Available options:
queued, in_progress, completed, failed Required range:
0 <= x <= 100- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I